FailoverConnectionProxy.FailoverJdbcInterfaceProxy
Date: 2016-03-08

com.mysql.jdbc

## Class FailoverConnectionProxy.FailoverJdbcInterfaceProxy

- java.lang.Object
- - com.mysql.jdbc.MultiHostConnectionProxy.JdbcInterfaceProxy
  - - com.mysql.jdbc.FailoverConnectionProxy.FailoverJdbcInterfaceProxy

- All Implemented Interfaces:
    java.lang.reflect.InvocationHandler
  Enclosing class:
    FailoverConnectionProxy

       class FailoverConnectionProxy.FailoverJdbcInterfaceProxy
      extends MultiHostConnectionProxy.JdbcInterfaceProxy

  Proxy class to intercept and deal with errors that may occur in any object bound to the current connection. Additionally intercepts query executions and triggers an execution count on the outer class.

- - ### Field Summary

    - ### Fields inherited from class com.mysql.jdbc.MultiHostConnectionProxy.JdbcInterfaceProxy

      `invokeOn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FailoverConnectionProxy.FailoverJdbcInterfaceProxy(java.lang.Object toInvokeOn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FailoverConnectionProxy.FailoverJdbcInterfaceProxy

          FailoverConnectionProxy.FailoverJdbcInterfaceProxy(java.lang.Object toInvokeOn)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(java.lang.Object proxy,
                                java.lang.reflect.Method method,
                                java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Overrides:
        `invoke` in class `MultiHostConnectionProxy.JdbcInterfaceProxy`
      Throws:
        `java.lang.Throwable`